package com.logicbig.example;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.ViewScoped;
import javax.faces.event.ActionEvent;

@ManagedBean(name = "dateEditor")
@ViewScoped
public class DateRangeEditorBean extends DateRangeBean {

    @ManagedProperty("#{dateRange}")
    private DateRangeSessionBean dateRangeSessionBean;

    @PostConstruct
    public void init() {
        setEndDate(dateRangeSessionBean.getEndDate());
        setStartDate(dateRangeSessionBean.getStartDate());
    }

    public void saveSelection(ActionEvent ae) {
        dateRangeSessionBean.setStartDate(getStartDate());
        dateRangeSessionBean.setEndDate(getEndDate());
    }

    public void reset(ActionEvent ae) {
        init();
    }


    public DateRangeSessionBean getDateRangeSessionBean() {
        return dateRangeSessionBean;
    }

    public void setDateRangeSessionBean(DateRangeSessionBean dateRangeSessionBean) {
        this.dateRangeSessionBean = dateRangeSessionBean;
    }
}