package com.logicbig.example;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;

@ManagedBean(name = "dateRange")
@SessionScoped
public class DateRangeSessionBean extends DateRangeBean {

    private DateFormat formatter = new SimpleDateFormat("MM-dd-yyyy");

    public DateRangeSessionBean() {
        Calendar c1 = Calendar.getInstance();
        setEndDate(c1.getTime());
        Calendar c2 = Calendar.getInstance();
        c2.set(Calendar.YEAR, c1.get(Calendar.YEAR));
        c2.set(Calendar.DAY_OF_YEAR, 1);
        setStartDate(c2.getTime());
    }

    public String getDateRangeString() {
        return String.format("From: %s To: %s%n",
                formatter.format(getStartDate()), formatter.format(getEndDate()));
    }
}